com.amazonaws.services.codedeploy.waiters

## Class GetDeploymentFunction

- java.lang.Object
- - com.amazonaws.services.codedeploy.waiters.GetDeploymentFunction

All Implemented Interfaces:
  SdkFunction<GetDeploymentRequest,GetDeploymentResult>

    public class GetDeploymentFunction
    extends Object
    implements SdkFunction<GetDeploymentRequest,GetDeploymentResult>

### Constructor Summary

Constructors
Constructor and Description
`GetDeploymentFunction(AmazonCodeDeploy client)` Constructs a new GetDeploymentFunction with the given client

### Method Summary

All Methods Instance Methods Concrete Methods
`GetDeploymentResult` `apply(GetDeploymentRequest getDeploymentRequest)` Makes a call to the operation specified by the waiter by taking the corresponding request and returns the corresponding result

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GetDeploymentFunction

    public GetDeploymentFunction(AmazonCodeDeploy client)

Constructs a new GetDeploymentFunction with the given client

Parameters:
  `client` - Service client

### Method Detail

#### apply

    public GetDeploymentResult apply(GetDeploymentRequest getDeploymentRequest)

Makes a call to the operation specified by the waiter by taking the corresponding request and returns the corresponding result

Specified by:
  `apply` in interface `SdkFunction<GetDeploymentRequest,GetDeploymentResult>`
Parameters:
  `getDeploymentRequest` - Corresponding request for the operation
Returns:
  Corresponding result of the operation